Create data dashboard

Create data dashboards and connect data sources.

POST https://moi.matrixorigin.cn/newmoi/data-dashboards

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

The example below uses:

  • $AI_STUDIO_API_KEY: The actual personal access token, passed through the X-API-Key Header.

  • $WORKSPACE_ID: Target workspace ID, passed through X-Workspace-ID Header.

Request body

Replace caller-specific values in the example with actual values.

namestringRequired
Data dashboard name.
descriptionstringRequired
Data dashboard description.
sourcesarrayRequired
List of data sources.
sources[].table_idintegerRequired
Data source table ID.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/data-dashboards" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "销售概览",
    "description": "按日查看销售数据",
    "sources": [{"table_id": 1001}]
  }'

Successful response

When the creation is successful, the HTTP status code is 201, and the code in the response body is 0.

{
  "code": 0,
  "data": {
    "ID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
    "Name": "销售概览",
    "Description": "按日查看销售数据",
    "CreatedByRoleID": "role-001",
    "CreatedAt": "2026-08-21T07:00:00Z",
    "UpdatedAt": "2026-08-21T07:00:00Z"
  }
}

The response fields are as follows.

Field

Type

Description

data.ID

string

Data dashboard ID.

data.Name

string

Data dashboard name.

data.Description

string

Data dashboard description.

data.CreatedByRoleID

string

The role ID used when creating the data dashboard.

data.CreatedAt

string

Creation time.

data.UpdatedAt

string

Update time.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": 2,
  "message": "invalid argument",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_INVALID_REQUEST"
  }
}

Follow-up operations

Record data.ID, then create chart.

Last updated on